Subject: Re: MicroSD (SPI mode) support in Linux-2.6.26-1

From: Andre Schwarz <[email-masked]>
Date: Fri, 23 Jan 2009 16:27:32 +0100

Wolfgang Wegner wrote:
> Hi Andre,
>
> On Fri, Jan 23, 2009 at 01:43:47PM +0100, Andre Schwarz wrote:
>   
>> Sai Amruta wrote:
>>     
>>> Hi All,
>>>
>>> I am using linux-2.6.26 on MPC8567 and microSD is connected through 
>>> SPI interface.
>>> Is the existing mmc driver supports microSD?
>>>       
>> yes - it's working perfectly fine on my MPC8343.
>> Even with SDHC cards ;-)
>>     
>
> that's great to hear - is there anything like a HOWTO on how to set
> this up on top of the SPI driver (probably involving some custom GPIO
> stuff for card and WP detection) out there?
> I tried to but did not get it to work on MCF53xx (uClinux 2.6.23-uc0)
> and probably did not find the right search strings either.
>
> Regards,
> Wolfgang
>
>   
Wolfgang,

of course I forgot the most important messages ... ;-)

mvBL-M7> insmod /modules/mmc_spi.ko
mvBL-M7> dmesg -c
mmc_spi spi28672.0: SD/MMC host mmc0, no DMA, no WP, no poweroff
mmc0: host does not support reading read-only switch. assuming write-enable.
mmc0: new SD card on SPI
mmcblk0: mmc0:0000 SD02G 1921024KiB
 mmcblk0: p1
mvBL-M7> mount /mnt/mmc/
mvBL-M7> ls /mnt/mmc/
TestApp.JPG                       do
TestCSharpApp.exe                 mvBlueCOUGAR.msi
autostart                         mvPPC_6XX-NAND-20081010-0946.tgz
distribution.zip                  uInitrd.mvblm7_nova
mvBL-M7>

cheers,
Andre

MATRIX VISION GmbH, Talstraße 16, DE-71570 Oppenweiler
Registergericht: Amtsgericht Stuttgart, HRB 271090
Geschäftsführer: Gerhard Thullner, Werner Armingeon, Uwe Furtner, Hans-Joachim Reich